<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    
    Skips the elements with display none, but creates invisible 
    structures for the ones that have string sets.    
        
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:css="http://www.w3.org/1998/CSS"
    xmlns:fo="http://www.w3.org/1999/XSL/Format"
    exclude-result-prefixes="fo css"
    version="2.0">
    
    <xsl:template match="*[@css:display = 'none']" priority="2">
    	<xsl:apply-templates select="." mode="display-none"/>
    </xsl:template>
    
    <xsl:template match="*|node()" mode="display-none">
        <xsl:apply-templates mode="display-none"/>
    </xsl:template>
    
    <!-- 
    	Also they may define string-sets, that should go into the output.  
   	-->
    <xsl:template match="css:string-set" mode="display-none">
        <fo:inline font-size="0"><xsl:apply-templates select="." mode="#default"/></fo:inline>
    </xsl:template>
    
</xsl:stylesheet>